Page MenuHomePhabricator

[Bug] Query text shifted to the right in WDQS query editor
Closed, ResolvedPublic

Description

When a query is opened in the WDQS query editor, often the query text is shifted way to the right, so that only a couple of columns of characters remain visible.

Usually this can be cured by refreshing the page, but not always -- sometime the issue still persists, even after four or five attempts to refresh.

Event Timeline

Jheald created this task.Dec 3 2015, 11:18 AM
Jheald raised the priority of this task from to Needs Triage.
Jheald updated the task description. (Show Details)
Jheald added a project: Wikidata-Query-Service.
Jheald added a subscriber: Jheald.
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptDec 3 2015, 11:18 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

With "when a query is opened" what exactly do you mean? Do you click a link to a specific query?

Exactly: when one clicks a link to a specific query.

Thank you for your report. I also stumbled upon this error, but couldn't find a cure after short investigation. I think it could be an initialization timing error.

Lydia_Pintscher renamed this task from Query text shifted to the right in WDQS query editor to [Bug] Query text shifted to the right in WDQS query editor.Dec 3 2015, 3:31 PM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.

This seems to be a CodeMirror issue, it happened to me from time to time also, reload usually fixes it.

Interesting behavior when you add a example query afterwards it corrects display issue..

Lydia_Pintscher triaged this task as Normal priority.Dec 18 2015, 10:23 AM

Change 260005 had a related patch set uploaded (by Jonas Kress (WMDE)):
Moved JS files to end of body

https://gerrit.wikimedia.org/r/260005

Change 260005 merged by jenkins-bot:
Moved JS files to end of body

https://gerrit.wikimedia.org/r/260005

Deskana moved this task from Needs triage to WDQS on the Discovery board.Dec 29 2015, 10:06 PM
Jonas closed this task as Resolved.Jan 11 2016, 3:49 PM
Jonas claimed this task.

Should be resolved.